Subject: Re: Enable fringe cursor when *almost* exact_window_width_line_p

From: Alan Third <[email-masked]>
Date: Sat, 11 Nov 2017 18:46:27 +0000

On Sat, Nov 11, 2017 at 06:49:03PM +0100, Anders Lindgren wrote:
> I just verified that the following recipe (posted in 2016) demonstrates the
> problem, on NS. (The original recipe from 2014 no longer works, though).
> 
>    emacs -Q
>     (setq truncate-partial-width-windows nil)
>     C-x 3
>     C-x o
>     C-u 37 x
>        Here, the cursor which is in text area blinks, while the part in the
> fringe doesn't.
> 
>        Wait until the the cursor stop blinking
>     C-a
>         Now, the right fringe contains half a cursor.

I can’t replicate this. It *should* be fixed. Can you confirm whether
it’s still an issue in Emacs 26?

The screenshot was trying to indicate an issue with Keith’s
modifications where it was putting the cursor into the fringe one
character too early. I was using a 2 pixel wide bar cursor, which
probably didn’t help. You can see the cursor is placed underneath the
fringe arrow; it should be on the left of the last x on the line.

Keith has raised a new bug report for his patch (29233) so further
discussion of it should probably continue there.
-- 
Alan Third